EDIT - feature request #8284

starting a registration for an existing name causes the name editor to pop up in read only mode
05/17/2019 01:50 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.8

Severity: major

Description

Registered name selected, double click on "registration for an existing name"
Result: the (read-only) name editor pops up.

Not the selection of types which is expected.

Associated revisions

Revision 2011fbd2 - 05/20/2019 01:15 PM - Andreas Kohlbecker

ref #8284 changing user hint regarding how to proceed with entering types for an existing name

History

#1 - 05/17/2019 01:57 PM - Andreas Kohlbecker
- Status changed from New to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

it is always the name editor that pops up. This way the user can review the name before actually creating the registration. Otherwise there is no other
way to see the details of the existing name.

This is exactly implemented as we had discussed it.

We might in addition offer a button which allows to open the name editor for existing names in read-only mode.
#2 - 05/17/2019 01:58 PM - Andreas Kohlbecker
- Subject changed from registration for an existing name to starting a registration for an existing name causes the name editor to pop up in read only

mode

#3 - 05/17/2019 02:01 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

This is only a question of usability.
When | closed the name editor with save-button, the name was put into the working set, but this was not clear.

#4 - 05/17/2019 02:11 PM - Andreas Kohlbecker
- File picture130-1.png added

At the bottom of the editor an notification is shown for the user:
Save ® Cancel

Can we improve this text for better usability and less surprise?

#5 - 05/17/2019 02:11 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

#6 - 05/17/2019 02:21 PM - Wolf-Henning Kusber
- Tracker changed from bug to feature request
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- Severity changed from major to normal

Wir hatten den Name editor eingebaut, weil wir Namen ohne Referenzen haben, die erst mal eingegeben werden miissen. Wir reden nicht mehr tber
einen Bug sondern Uber eine Kleinigkeit der User-Fihrung.

Rhetorische Frage: brauchen wir an dieser Stelle den Satz "You are about...". Wenn alles Read only ist kann ich (i) die Referenz (wenn fehlend)
erganzen oder (ii) mit "Save" weitermachen.
Frage: machen wir an anderer Stelle was kaputt, wenn der erste Satz wegfallt?

#7 - 05/17/2019 02:35 PM - Andreas Kohlbecker
Wenn die Referenz fehlt kann nur diese und das Citation-Detail bearbeitet werden, dann speichert "Save" auch die Anderungen am Namen - klar!
zu deiner "rhetorischen" Frage: Ich denke diesen ersten Satz brauch man. Er beantwortet eine der mdglichen Frage die beim User auftauchen

kdnnen: "Was iist das denn? Ich will doch einer Registrierung anlegen und bekomme nun einen Editor fir den ausgewahlten Namen?" Man kénnte
diese Info dass man sich im Registrieungsprozess befindent auch mit in den zweiten Satz hineinbringen, aber der wird dadurch zu kompliziert.

#8 - 05/17/2019 02:40 PM - Wolf-Henning Kusber

Also alles so lassen, auB3er:

statt:

Click "Save" to proceed

Click "Save" to start a type designation

Waére das ein Kompromiss, ich wisste dann, was das soll.
Was anderes als ein Typus kann doch danach nicht mehr kommen.

#9 - 05/17/2019 02:56 PM - Andreas Kohlbecker

Click "Save" to start a type designation

verstehe ich das richtig? Der Dialog zur Auswahl der Type-Designation soll dann sofort erscheinen?

#10 - 05/17/2019 03:00 PM - Wolf-Henning Kusber

Nein, nur mit Save wird der Name in den Workingset gestellt. Nur von dort aus kann selektiert werden, ob name oder specimen type.
Inhaltlich wollen die User zu den Typen, also ein inhaltlicher Hinweis, damit die User nicht ratlos sind. Wenn mir das passiert, passierts anderen auch.

"to proceed" war mir einfach zu unkonkret.

#11 - 05/17/2019 03:18 PM - Andreas Kohlbecker

- Status changed from Feedback to In Progress
- Priority changed from New to Highest
- Target version changed from Unassigned CDM tickets to Release 5.7

- % Done changed from 0 to 10

Ok, verstanden!!!!

Dann andere ich den Text so wie du es vorgeschlagen hast.

#12 - 05/17/2019 03:26 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
- Priority changed from Highest to New

- Target version changed from Release 5.7 to Unassigned CDM tickets
- % Done changed from 10 to 0

- Severity changed from normal to major

Im anderen Fall, nom-ref fehlt, lautet der letzte Satz: 'Click on "Save" to proceed with entering the typifications for this name.
Da ist nochmal eine andere Variante - was ist besser? Dieser oder 'Click "Save" to start a type designation'

#13 - 05/17/2019 03:31 PM - Wolf-Henning Kusber

beide Versionen sind streng genommen suboptimal:

statt Click on "Save" to proceed with entering the typifications for this name.’
besser (in beiden Fallen)?: Click on "Save" to proceed with entering the type of this name.'

#14 - 05/20/2019 01:16 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Vorschlag tbernommen fir beide Falle. Dann kdnnen wir dieses Ticket schlieBen?

#15 - 07/16/2019 06:11 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Info for Genera without reference:
The chosen name needs to be completed before it can be used. Please add the nomenclatural reference and click on "Save" to proceed with entering
the type of this name.

The information how to proceed is clarified for differnt cases. Ticket can be closed.

#16 - 07/17/2019 08:08 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- Target version changed from Unassigned CDM tickets to Release 5.8
